aboutsummaryrefslogtreecommitdiffstats
path: root/stylesheets/lfs-xsl/docbook-xsl-1.78.1/tools/bin
diff options
context:
space:
mode:
authorMatthew Burgess <matthew@linuxfromscratch.org>2013-10-08 20:03:29 +0000
committerMatthew Burgess <matthew@linuxfromscratch.org>2013-10-08 20:03:29 +0000
commit15c7d39533a1eb1da0748011f3378fd0f02ed14d (patch)
treea7ed12df60c5ffd4d00a570804c51470bfb8b0f5 /stylesheets/lfs-xsl/docbook-xsl-1.78.1/tools/bin
parent09a35dd7178070f01a7961d2ded39e11ba2aac83 (diff)
Update stylesheets to docbook-xsl-1.78.1.
git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@10355 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689
Diffstat (limited to 'stylesheets/lfs-xsl/docbook-xsl-1.78.1/tools/bin')
-rwxr-xr-xstylesheets/lfs-xsl/docbook-xsl-1.78.1/tools/bin/docbook-xsl-update53
1 files changed, 53 insertions, 0 deletions
diff --git a/stylesheets/lfs-xsl/docbook-xsl-1.78.1/tools/bin/docbook-xsl-update b/stylesheets/lfs-xsl/docbook-xsl-1.78.1/tools/bin/docbook-xsl-update
new file mode 100755
index 000000000..aba0016e1
--- /dev/null
+++ b/stylesheets/lfs-xsl/docbook-xsl-1.78.1/tools/bin/docbook-xsl-update
@@ -0,0 +1,53 @@
+#!/bin/bash
+# vim: number
+
+# docbook-xsl-update - Update environment to latest docbook-xsl snapshot
+# $Id: docbook-xsl-update 9628 2012-10-20 23:52:01Z dcramer $
+
+if [ -z $DOCBOOK_MIRROR ]; then
+ myhost=docbook.xml-doc.org:5873;
+else
+ myhost=$DOCBOOK_MIRROR;
+fi
+
+mydir=$(readlink -f $(dirname $0))
+mydocbook_xsl_base=$(readlink -f $(dirname $0)/../..)
+
+if [ ! -f $mydocbook_xsl_base/VERSION.xsl ]; then
+ cat <<- EOF
+$(basename $0): error: not in snapshot directory. Stopping.
+
+The $(basename $0) script must be installed within its original
+location in the tools/bin directory in the docbook-xsl distribution.
+EOF
+ exit 1
+fi
+
+usage="Usage:
+
+ $(basename $0) [-h HOST[:PORT]]
+
+ -h HOST[:PORT] Specifies the rsync host and port number to use.
+ If not specified, uses the value of the
+ \$DOCBOOK_MIRROR environment variable. If that
+ environment variable is not specified, defaults
+ to a hard-coded value.
+
+"
+
+while getopts "h:" opt; do
+ case $opt in
+ h ) myhost=$OPTARG ;;
+ \? ) printf "$usage"
+ printf "$opts_admon"
+ exit 1 ;;
+ esac
+done
+
+shift $(($OPTIND - 1))
+
+if [ -z $myhost ]; then
+ myhost=$DOCBOOK_MIRROR
+fi
+
+rsync -auv rsync://$myhost/xsl $mydocbook_xsl_base